# workaround a bug in rpm 3.0.4:
#   by default it modifies the files installed by my %install
#   scriptlet (compresses the man-pages), but failes to update
#   the %files section too.
%define __os_install_post       true

%define prefix       /usr 

Summary: Zorgland commandline/library translator
Name: tulklut
Version: 0.2.0-pre1
Release: 1
Source0: %{name}-%{version}.tar.gz
Group: System/Applications
Copyright: GNU GENERAL PUBLIC LICENSE
BuildRoot: /var/tmp/%{name}-%{version}.root

%description
To/from Zorgland translation engine, with command line interpreter included

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/tulklut

%files
%defattr(-,root,root)
%{prefix}/bin/tulklut
%{prefix}/man/man1/tulklut.1
%{prefix}/man/fr/man1/tulklut.1
%doc README README.fr FAQ FAQ.fr TODO ChangeLog AUTHORS COPYING NEWS

%clean
rm -rf $RPM_BUILD_ROOT
